# ncurses 5.9 - patch 20130921 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20130921.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Sep 21 22:57:50 UTC 2013
# ------------------------------------------------------------------------------
# Ada95/aclocal.m4           |    6 +++---
# Ada95/configure            |    2 +-
# NEWS                       |    7 ++++++-
# aclocal.m4                 |   18 +++++++++---------
# configure                  |   12 ++++++------
# dist.mk                    |    4 ++--
# man/curs_attr.3x           |    4 ++--
# ncurses/base/lib_mouse.c   |    4 ++--
# package/debian/changelog   |    4 ++--
# package/mingw-ncurses.spec |    2 +-
# package/ncurses.spec       |    2 +-
# test/demo_forms.c          |    4 ++--
# 12 files changed, 37 insertions(+), 32 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/aclocal.m4
Prereq:  1.71 
--- ncurses-5.9-20130907+/Ada95/aclocal.m4	2013-09-07 18:07:26.000000000 +0000
+++ ncurses-5.9-20130921/Ada95/aclocal.m4	2013-09-21 21:37:42.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey
 dnl
-dnl $Id: aclocal.m4,v 1.71 2013/09/07 18:07:26 Alexey.Pavlov Exp $
+dnl $Id: aclocal.m4,v 1.72 2013/09/21 21:37:42 tom Exp $
 dnl Macros used in NCURSES Ada95 auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -2836,7 +2836,7 @@
 $1=`echo "$2" | sed -e 's/-l$3[[ 	]]//g' -e 's/-l$3[$]//'`
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_SHARED_OPTS version: 82 updated: 2013/09/07 13:54:05
+dnl CF_SHARED_OPTS version: 83 updated: 2013/09/21 17:34:53
 dnl --------------
 dnl --------------
 dnl Attempt to determine the appropriate CC/LD options for creating a shared
@@ -3087,7 +3087,7 @@
 			EXTRA_LDFLAGS="${cf_ld_rpath_opt}\${RPATH_LIST} $EXTRA_LDFLAGS"
 		fi
 		CF_SHARED_SONAME
-		MK_SHARED_LIB='${CC} -Wl,-shared -Wl,-Bshareable -soname=`basename $[@]` -o $[@]'
+		MK_SHARED_LIB='${LD} -shared -Bshareable -soname=`basename $[@]` -o $[@]'
 		;;
 	netbsd*) #(vi
 		CC_SHARED_OPTS="$CC_SHARED_OPTS -DPIC"
Index: Ada95/configure
--- ncurses-5.9-20130907+/Ada95/configure	2013-09-07 18:08:23.000000000 +0000
+++ ncurses-5.9-20130921/Ada95/configure	2013-09-21 21:40:57.000000000 +0000
@@ -7567,7 +7567,7 @@
 		cf_cv_shared_soname='`basename $@`'
 	fi
 
-		MK_SHARED_LIB='${CC} -Wl,-shared -Wl,-Bshareable -soname=`basename $@` -o $@'
+		MK_SHARED_LIB='${LD} -shared -Bshareable -soname=`basename $@` -o $@'
 		;;
 	netbsd*) #(vi
 		CC_SHARED_OPTS="$CC_SHARED_OPTS -DPIC"
Index: NEWS
Prereq:  1.2101 
--- ncurses-5.9-20130907+/NEWS	2013-09-07 23:16:19.000000000 +0000
+++ ncurses-5.9-20130921/NEWS	2013-09-21 20:41:37.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2101 2013/09/07 23:16:19 tom Exp $
+-- $Id: NEWS,v 1.2104 2013/09/21 20:41:37 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,11 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20130921
+	+ fix typo in curs_attr.3x (patch by Sven Joachim, cf: 20130831).
+	+ build-fix for --with-shared option for DragonFly and FreeBSD (report
+	  by Rong-En Fan, cf: 20130727).
+
 20130907
 	+ build-fixes for MSYS for two test-programs (patches by Ray Donnelly,
 	  Alexey Pavlov).
Index: aclocal.m4
Prereq:  1.676 
--- ncurses-5.9-20130907+/aclocal.m4	2013-09-07 18:00:53.000000000 +0000
+++ ncurses-5.9-20130921/aclocal.m4	2013-09-21 21:36:28.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.676 2013/09/07 18:00:53 Alexey.Pavlov Exp $
+dnl $Id: aclocal.m4,v 1.678 2013/09/21 21:36:28 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -2141,7 +2141,7 @@
 AC_SUBST(PRAGMA_UNREF)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_GNAT_PROJECTS version: 3 updated: 2013/09/07 13:54:05
+dnl CF_GNAT_PROJECTS version: 4 updated: 2013/09/07 14:05:46
 dnl ----------------
 dnl GNAT projects are configured with ".gpr" project files.
 dnl GNAT libraries are a further development, using the project feature.
@@ -2158,7 +2158,7 @@
 	;;
 *)
 	case $cf_cv_system_name in #(vi
-	cygwin* | msys*) #(vi
+	cygwin*|msys*) #(vi
 		;;
 	*)
 		mkdir conftest.src conftest.bin conftest.lib
@@ -4696,7 +4696,7 @@
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_OBJ_SUBDIR version: 5 updated: 2013/09/07 13:54:05
+dnl CF_OBJ_SUBDIR version: 6 updated: 2013/09/07 14:06:10
 dnl -------------
 dnl Compute the object-directory name from the given model name
 AC_DEFUN([CF_OBJ_SUBDIR],
@@ -4708,7 +4708,7 @@
 	profile) $2='obj_p' ;;
 	shared)
 		case $cf_cv_system_name in #(vi
-		cygwin | msys) #(vi
+		cygwin|msys) #(vi
 			$2='objects' ;;
 		*)
 			$2='obj_s' ;;
@@ -5345,7 +5345,7 @@
 AC_SUBST(EXTRA_LDFLAGS)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_SHARED_OPTS version: 82 updated: 2013/09/07 13:54:05
+dnl CF_SHARED_OPTS version: 83 updated: 2013/09/21 17:34:53
 dnl --------------
 dnl --------------
 dnl Attempt to determine the appropriate CC/LD options for creating a shared
@@ -5596,7 +5596,7 @@
 			EXTRA_LDFLAGS="${cf_ld_rpath_opt}\${RPATH_LIST} $EXTRA_LDFLAGS"
 		fi
 		CF_SHARED_SONAME
-		MK_SHARED_LIB='${CC} -Wl,-shared -Wl,-Bshareable -soname=`basename $[@]` -o $[@]'
+		MK_SHARED_LIB='${LD} -shared -Bshareable -soname=`basename $[@]` -o $[@]'
 		;;
 	netbsd*) #(vi
 		CC_SHARED_OPTS="$CC_SHARED_OPTS -DPIC"
@@ -7092,7 +7092,7 @@
 	[USE_VALGRIND])
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_XOPEN_SOURCE version: 44 updated: 2013/09/07 13:54:05
+dnl CF_XOPEN_SOURCE version: 45 updated: 2013/09/07 14:06:25
 dnl ---------------
 dnl Try to get _XOPEN_SOURCE defined properly that we can use POSIX functions,
 dnl or adapt to the vendor's definitions to get equivalent functionality,
@@ -7112,7 +7112,7 @@
 aix[[4-7]]*) #(vi
 	cf_xopen_source="-D_ALL_SOURCE"
 	;;
-cygwin | msys) #(vi
+cygwin|msys) #(vi
 	cf_XOPEN_SOURCE=600
 	;;
 darwin[[0-8]].*) #(vi
Index: configure
--- ncurses-5.9-20130907+/configure	2013-09-07 18:39:14.000000000 +0000
+++ ncurses-5.9-20130921/configure	2013-09-21 21:36:50.000000000 +0000
@@ -5879,7 +5879,7 @@
 		cf_cv_shared_soname='`basename $@`'
 	fi
 
-		MK_SHARED_LIB='${CC} -Wl,-shared -Wl,-Bshareable -soname=`basename $@` -o $@'
+		MK_SHARED_LIB='${LD} -shared -Bshareable -soname=`basename $@` -o $@'
 		;;
 	netbsd*) #(vi
 		CC_SHARED_OPTS="$CC_SHARED_OPTS -DPIC"
@@ -7224,7 +7224,7 @@
 aix[4-7]*) #(vi
 	cf_xopen_source="-D_ALL_SOURCE"
 	;;
-cygwin | msys) #(vi
+cygwin|msys) #(vi
 	cf_XOPEN_SOURCE=600
 	;;
 darwin[0-8].*) #(vi
@@ -19661,7 +19661,7 @@
 	;;
 *)
 	case $cf_cv_system_name in #(vi
-	cygwin* | msys*) #(vi
+	cygwin*|msys*) #(vi
 		;;
 	*)
 		mkdir conftest.src conftest.bin conftest.lib
@@ -20304,7 +20304,7 @@
 	profile) DFT_OBJ_SUBDIR='obj_p' ;;
 	shared)
 		case $cf_cv_system_name in #(vi
-		cygwin | msys) #(vi
+		cygwin|msys) #(vi
 			DFT_OBJ_SUBDIR='objects' ;;
 		*)
 			DFT_OBJ_SUBDIR='obj_s' ;;
@@ -20802,7 +20802,7 @@
 	profile) cf_subdir='obj_p' ;;
 	shared)
 		case $cf_cv_system_name in #(vi
-		cygwin | msys) #(vi
+		cygwin|msys) #(vi
 			cf_subdir='objects' ;;
 		*)
 			cf_subdir='obj_s' ;;
@@ -22437,7 +22437,7 @@
 	profile) cf_subdir='obj_p' ;;
 	shared)
 		case $cf_cv_system_name in #(vi
-		cygwin | msys) #(vi
+		cygwin|msys) #(vi
 			cf_subdir='objects' ;;
 		*)
 			cf_subdir='obj_s' ;;
Index: dist.mk
Prereq:  1.944 
--- ncurses-5.9-20130907+/dist.mk	2013-09-07 14:39:24.000000000 +0000
+++ ncurses-5.9-20130921/dist.mk	2013-09-21 15:25:41.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.944 2013/09/07 14:39:24 tom Exp $
+# $Id: dist.mk,v 1.945 2013/09/21 15:25:41 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20130907
+NCURSES_PATCH = 20130921
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: man/curs_attr.3x
Prereq:  1.38 
--- ncurses-5.9-20130907+/man/curs_attr.3x	2013-08-31 12:30:55.000000000 +0000
+++ ncurses-5.9-20130921/man/curs_attr.3x	2013-09-21 20:39:49.000000000 +0000
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_attr.3x,v 1.38 2013/08/31 12:30:55 tom Exp $
+.\" $Id: curs_attr.3x,v 1.39 2013/09/21 20:39:49 Sven.Joachim Exp $
 .TH curs_attr 3X ""
 .na
 .hy 0
@@ -242,7 +242,7 @@
 which have the \fIenter_italics_mode\fP (sitm) and \fIexit_italics_mode\fP (ritm) capabilities.
 Italics are not mentioned in X/Open Curses.
 Unlike the other video attributes, \fBI_ITALIC\fP is unrelated
-to the \fIset_attributes\fP capabilites.
+to the \fIset_attributes\fP capabilities.
 This implementation makes the assumption that
 \fIexit_attribute_mode\fP may also reset italics.
 .PP
Index: ncurses/base/lib_mouse.c
Prereq:  1.140 
--- ncurses-5.9-20130907+/ncurses/base/lib_mouse.c	2013-01-12 16:35:34.000000000 +0000
+++ ncurses-5.9-20130921/ncurses/base/lib_mouse.c	2013-09-21 19:09:19.000000000 +0000
@@ -84,7 +84,7 @@
 #define CUR SP_TERMTYPE
 #endif
 
-MODULE_ID("$Id: lib_mouse.c,v 1.140 2013/01/12 16:35:34 tom Exp $")
+MODULE_ID("$Id: lib_mouse.c,v 1.141 2013/09/21 19:09:19 tom Exp $")
 
 #include <tic.h>
 
@@ -112,7 +112,7 @@
 #undef buttons			/* symbol conflict in consio.h */
 #undef mouse_info		/* symbol conflict in consio.h */
 #include <osreldate.h>
-#if (__FreeBSD_version >= 400017)
+#if defined(__DragonFly_version) || (defined(__FreeBSD__) && (__FreeBSD_version >= 400017))
 #include <sys/consio.h>
 #include <sys/fbio.h>
 #else
Index: package/debian/changelog
--- ncurses-5.9-20130907+/package/debian/changelog	2013-09-07 14:39:24.000000000 +0000
+++ ncurses-5.9-20130921/package/debian/changelog	2013-09-21 15:25:41.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20130907) unstable; urgency=low
+ncurses6 (5.9-20130921) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 07 Sep 2013 10:39:24 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 21 Sep 2013 11:25:41 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20130907+/package/mingw-ncurses.spec	2013-09-07 14:39:24.000000000 +0000
+++ ncurses-5.9-20130921/package/mingw-ncurses.spec	2013-09-21 15:25:41.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Release: 5.9
-Version: 20130907
+Version: 20130921
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20130907+/package/ncurses.spec	2013-09-07 14:39:24.000000000 +0000
+++ ncurses-5.9-20130921/package/ncurses.spec	2013-09-21 15:25:41.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20130907
+Version: 20130921
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
Index: test/demo_forms.c
Prereq:  1.44 
--- ncurses-5.9-20130907+/test/demo_forms.c	2013-06-08 15:21:26.000000000 +0000
+++ ncurses-5.9-20130921/test/demo_forms.c	2013-09-21 22:51:50.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: demo_forms.c,v 1.44 2013/06/08 15:21:26 tom Exp $
+ * $Id: demo_forms.c,v 1.45 2013/09/21 22:51:50 tom Exp $
  *
  * Demonstrate a variety of functions from the form library.
  * Thomas Dickey - 2003/4/26
@@ -103,7 +103,7 @@
 trimmed(const char *value)
 {
     int result = (int) strlen(value);
-    while (result > 0 && isspace(value[result - 1])) {
+    while (result > 0 && isspace(UChar(value[result - 1]))) {
 	--result;
     }
     return result;
